import Api from "~/service/Api"
import Utils from "~/utils"

export default {
    async onInfbutSearow() {
        let rtnmsg = await this.executeRule("infbut.searow")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutDsp() {
        let rtnmsg = await this.executeRule("infbut.dsp")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutUserow() {
        let rtnmsg = await this.executeRule("infbut.userow")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutClr() {
        let rtnmsg = await this.executeRule("infbut.clr")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutButprt() {
        let rtnmsg = await this.executeRule("infbut.butprt")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutExi() {
        let rtnmsg = await this.executeRule("infbut.exi")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onRecpanButgetref() {
        let rtnmsg = await this.executeRule("recpan.butgetref")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onDrrpDet() {
        let rtnmsg = await this.executeRule("drrp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onColpDet() {
        let rtnmsg = await this.executeRule("colp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onDrepDet() {
        let rtnmsg = await this.executeRule("drep.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onSetinsButtxmsel() {
        let rtnmsg = await this.executeRule("setins.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onColinsButtxmsel() {
        let rtnmsg = await this.executeRule("colins.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onDftinsButtxmsel() {
        let rtnmsg = await this.executeRule("dftins.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onProinsButtxmsel() {
        let rtnmsg = await this.executeRule("proins.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onOthins1Buttxmsel() {
        let rtnmsg = await this.executeRule("othins1.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onWhinsButtxmsel() {
        let rtnmsg = await this.executeRule("whins.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfconButshw() {
        let rtnmsg = await this.executeRule("infcon.butshw")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfconButshword() {
        let rtnmsg = await this.executeRule("infcon.butshword")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async handleSearch() {
        this.stmData.data = [];
        let opndatfrom = this.model.infcon.opndatfrom;
        if (!opndatfrom || opndatfrom == '') {
            this.$notify.error({ title: '错误', message: '查询开始日期必输！' });
            return;
        }
        let opndatto = this.model.infcon.opndatto;
        if (!opndatto || opndatto == '') {
            this.$notify.error({ title: '错误', message: '查询结束日期必输！' });
            return;
        }
        let rtnmsg = await this.executeRule("infbut.searow")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑
            this.stmData.data = rtnmsg.data.infbut_dspstm.rows;
            // this.updateModel(rtnmsg.data);
            //   this.stmData.data = rtnmsg.data.infbut_dspstm.rows;
            //this.model.infbut.dspstm = rtnmsg.data.infbut_dspstm
        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async handleReset() {


    },

}